<div class="modal-content flex flex-col justify-between items-start">
	<blackbird-modal-header (closeEvent)="close()"></blackbird-modal-header>
	<div class="flex flex-col justify-center items-start pb-5 px-5" [class.text-right]="isRTL()">
		<h1 class="text-2xl font-normal">{{ t.modals.shareLink.title | translate }}</h1>
		<p class="text-lg font-normal text-bgTwo">{{ t.modals.shareLink.description | translate }}</p>
		<label class="text-bgTwo mt-5" for="cv-share-link">{{ t.modals.shareLink.linkLabel | translate }}</label>
		<div class="base-to-draw w-full" [class.is-focused]="isFocused">
			<input
				#copyLinkInput
				type="text"
				id="cv-share-link"
				name="cv-share-link"
				class="w-full bg-almost-gray p-3"
				(focus)="isFocused = true"
				(blur)="isFocused = false"
				readonly
				[value]="cvURL"
			/>
		</div>
	</div>
	<div class="flex flex-row justify-end items-center p-5">
		<div class="flex flex-row justify-end items-center">
			<a [href]="cvURL" target="_blank" class="hidden mdCustom:flex transparent-btn px-8">
				<span class="btn-text text-primary">
					{{ t.modals.shareLink.buttons.openLink | translate }}
				</span>
			</a>

			<button (click)="copyURLTpClipboard()" class="cta-primary-btn px-6 bg-primary flex">
				<span class="btn-text">
					{{ t.modals.shareLink.buttons.copyLink | translate }}
				</span>
			</button>
		</div>
	</div>
</div>
